Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Class SubPartitionsInfo

    java.lang.Object
      org.jboss.ha.framework.interfaces.SubPartitionsInfo

All Implemented Interfaces:
  Cloneable, Serializable

public class SubPartitionsInfo
extends Object
implements Serializable, Cloneable

Holder class that knows about a set of HA(sub)Partition currently building the overall cluster. Exchanged between HASessionState instances to share the same knowledge.

Version:
  $Revision: 1.3 $
Author:
  Sacha Labourey
See Also:
  `SubPartitionInfo`, `HASessionState`, `HASessionStateImpl`, Serialized Form

Field Summary
`protected long` | `groupId`
`SubPartitionInfo[]` | `partitions`

Constructor Summary
`SubPartitionsInfo()`

Method Summary
`Object` | `clone()`
`long` | `getNextGroupId()` return the next distinct id for a new group
`SubPartitionInfo` | `getSubPartitionWithName(String name)` Returns the `SubPartitionInfo` instance in this group that has the given name.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### partitions

    public SubPartitionInfo[] partitions

### groupId

    protected long groupId

Constructor Detail

### SubPartitionsInfo

    public SubPartitionsInfo()

Method Detail

### getNextGroupId

    public long getNextGroupId()

  return the next distinct id for a new group

### getSubPartitionWithName

    public SubPartitionInfo getSubPartitionWithName(String name)

  Returns the `SubPartitionInfo` instance in this group that has the given name.

### clone

    public Object clone()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.